Preliminary Testing Builds

From Trinity Desktop Project Wiki
Jump to: navigation, search

Would you like to always use the latest development version of TDE on a Debian-based distributions (Debian, Ubuntu, Devuan)? Preliminary packages of the next major or minor release - called "preliminary testing builds" (PTB) - are available for testing for selected versions of those distributions.

PTB packages are hosted in a regular apt repository (alternative apt source), so you'll be able to get regular updates.

Installing Preliminary Testing Builds

To use the preliminary testing builds you need to add the following lines to your /etc/apt/sources.list.
Please replace all references to <your-distribution> with your lowercase appropriate version: e.g "buster" or "bionic".

# Trinity preliminary testing builds
deb http://mirror.ppa.trinitydesktop.org/trinity/deb/trinity-testing <your-distribution> deps main
deb-src http://mirror.ppa.trinitydesktop.org/trinity/deb/trinity-testing <your-distribution> deps main

Example for Debian 10 - Buster:

# Trinity preliminary testing builds
deb http://mirror.ppa.trinitydesktop.org/trinity/deb/trinity-testing buster deps main
deb-src http://mirror.ppa.trinitydesktop.org/trinity/deb/trinity-testing buster deps main

Packages are signed using GPG key ID c93af1698685ad8b. The best way to install GPG key is to manually download and install package trinity-keyring. The advantage is that this method of installation is not dependent on the availability of the key server. Another advantage is that the key is not integrated into the global apt keyring, but is installed as a separate file:

wget http://mirror.ppa.trinitydesktop.org/trinity/deb/trinity-keyring.deb
sudo dpkg -i trinity-keyring.deb

Available distributions and architectures

The PTB apt repository includes packages for various distributions and hardware architectures. The current list of supported distributions and architectures is as follows:

Distributions

Debian

  • unstable - Sid : amd64, i386, armhf, ppc64el
  • 11.x - Bullseye : amd64, i386, armhf, ppc64el
  • 10.x - Buster : amd64, i386, armhf, ppc64el
  • 9.x - Stretch : amd64, i386, armhf, ppc64el

Devuan

  • unstable - Ceres : Use Debian Sid.
  • 3.x - Beowulf : Use Debian Buster.
  • 2.x - Ascii : Use Debian Stretch.

Ubuntu

  • 19.10 - Eoan: amd64, i386
  • 19.04 - Disco: amd64, i386
  • 18.10 - Cosmic: amd64, i386
  • 18.04 - Bionic: amd64, i386
  • 16.04 - Xenial: amd64, i386

Feedback

For any further question or problem, please refer to the TDE mailing lists or bug tracker.